Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231669

Summary: Review Request: libsynce - Connection library for Pocket PC devices
Product: [Fedora] Fedora Reporter: Aurelien Bompard <gauret>
Component: Package ReviewAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andreas.bierfert
Target Milestone: ---Flags: andreas.bierfert: fedora-review+
wtogami: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-01 21:21:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 231670, 231675, 231681, 231685    

Description Aurelien Bompard 2007-03-09 22:06:25 UTC
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/libsynce.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/libsynce-0.9.3-1.src.rpm
Description: 
The purpose of the SynCE project is to provide a means of
communication with a Windows CE device from a computer running Linux,
FreeBSD or a similar operating system.

SynCE is already in Fedora Extras, but in the form of a monolithic package : all the libraries are in the same RPM. I've splitted it, this is one of the libraries.

Comment 1 Andreas Bierfert 2007-04-27 08:28:37 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * OK: rpmlint output: W: libsynce-devel no-documentation can be ignored
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: Spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
9b793d1ef241fa7fca6ca7832b3b4811  synce-libsynce-0.9.3.tar.gz
9b793d1ef241fa7fca6ca7832b3b4811  /homes/awjb/rpmbuild/SOURCES/synce-libsynce-0.
9.3.tar.gz
 * OK: Builds fine on mock: i386/fc6 x86_64/fc6
 * OK: BR seem fine
 * OK: package has no locale support
 * OK: ldconfig is run on %post and $postun
 * OK: package is not explicitly designed to be relocatable
 * OK: package does not create any direcoties
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: header files are in -devel
 * OK: no static libraries
 * OK: -devel requires pkgconfig
 * OK: .so file is in -devel
 * OK: -devel requires main package
 * OK: package does not contain .la archives
 * OK: no .desktop needed
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utf8

Thus 52e4f38b46e94c26907b554be38d0dfa  libsynce-0.9.3-1.src.rpm is APPROVED.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGMbO2QEQyPsWM8csRApLTAKCaGXxVzFxRcJMJUv2tqaAcgI9H7gCgk0uQ
vlk7eIPUQnzClPpkB+iayto=
=zxCF
-----END PGP SIGNATURE-----

Comment 2 Aurelien Bompard 2007-04-28 05:33:45 UTC
New Package CVS Request
=======================
Package Name: libsynce
Short Description: Connection library for Pocket PC devices
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: